[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Exclude Requires for some archs



On Tuesday 11 September 2007 3:45:02 am Till Maas wrote:
> Hiyas,
>
> I want to use
> %ifnarch ppc ppc64
> Requires: vbetool
> %endif
> in a package, which should work according to maximum rpm[1] and was
> suggested by Mamoru Tasaka. Nevertheless koji does not want to build[2]
> this for ppc(64) because of a missing vbetool. Does someone spot the error
> in the spec[3]?
>
> Regards,
> Till
>
> [1] http://www.rpm.org/max-rpm/s1-rpm-inside-conditionals.html
> [2] http://koji.fedoraproject.org/koji/getfile?taskID=155137&name=root.log
> [3]
> http://cvs.fedoraproject.org/viewcvs/rpms/pm-utils/devel/pm-utils.spec?rev=
>1.79&view=markup

When doing this please also consider Secondary Archs.  

what archs does it make sense to have vbetool on?

Dennis


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]